{% extends 'base.html' %}
{% load static %}

{% block title %} {{ object.title }} {% endblock %}
{% block heading %}
    <h1> {{ object.title }} </h1>
    <h2> by {{ object.author.first_name }} {{ object.author.last_name }} </h2>
    <h4> {{ object.format_pub_datetime }} </h4>
    <p class="detail-body"> {{ object.body }} </p>

    <div class="separator-bar"></div>
    {% for reaction in object.reactions.all %}
        <p class="detail-additionalinfo">
            {{ reaction.name }}: {{ reaction.tally }}
        </p>
    {% endfor %}
    <div class="separator-bar"></div>
    <button class="action-button" onclick="window.location.href='{% url 'announcements:announcements-edit' pk=object.pk %}'">
        Edit Announcement
    </button>
{% endblock %}